Name:           python-babelfish
Version:        0.6.1
Release:        5%{?dist}
Summary:        A module to work with countries and languages

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/Diaoul/babelfish
Source:         %{pypi_source babelfish}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'babelfish' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-babelfish
Summary:        %{summary}

%description -n python3-babelfish %_description


%prep
%autosetup -p1 -n babelfish-%{version}

# %generate_buildrequires was introduced in rhel 9
%if %{defined fedora} || 0%{?rhel} >= 9
%generate_buildrequires
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto

%check
%pyproject_check_import


%files -n python3-babelfish -f %{pyproject_files}


%changelog
* Sat Jun 08 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org> 0.6.1-5
- el8 compat (jonas@hucklenbroich.org)

* Sat Jun 08 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org> 0.6.1-4
- Add babelfish sources (jonas@hucklenbroich.org)

* Sat Jun 08 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org> 0.6.1-3
- Try to add support for el8 (jonas@hucklenbroich.org)

* Sat Jun 08 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org>
- Try to add support for el8 (jonas@hucklenbroich.org)

* Sat Jun 08 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org>
- Try to add support for el8 (jonas@hucklenbroich.org)

* Sat Jun 08 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org> 0.6.1-1
- new package built with tito

%autochangelog
